## glite-lbjp-common-log 1.2.0

=== Makefile ===
top_srcdir=..
builddir=build
top_builddir=${top_srcdir}/${builddir}
stagedir=.
distdir=.
globalprefix=glite
lbutilsprefix=lbu
package=glite-lbjp-common-log
version=0.0.0
PREFIX=/opt/glite
prefix=
sysconfdir=/etc
log4c_prefix=/usr

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

CC=gcc
VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/tests

LOG4C_CFLAGS:=-I${log4c_prefix}/include
LOG4C_LIBS:=-L${log4c_prefix}/${libdir} -L${log4c_prefix}/lib -llog4c

DEBUG:=-g -O0 -W -Wall

CFLAGS:= ${CFLAGS} \
	${DEBUG} \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src \
	-I${top_srcdir}/interface \
	${LOG4C_CFLAGS}

LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
INSTALL:=libtool --mode=install install

OBJS:=log.o
LOBJS:=${OBJS:.o=.lo}
LTLIB:=libglite_lbu_log.la

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: n/a
offset=0

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

default all: compile

compile: ${LTLIB}

stage: compile
	$(MAKE) install PREFIX=${stagedir}

install: compile
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix} 
	${INSTALL} -m 644 ${top_srcdir}/src/log.h ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix} 
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 ${top_srcdir}/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
	${INSTALL} -m 644 ${top_srcdir}/config/log4crc ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb/log4crc
	${INSTALL} -m 644 ${top_srcdir}/config/log4crc ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/log4crc.example-production
	${INSTALL} -m 644 ${top_srcdir}/config/log4crc.debugging ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/log4crc.example-debugging
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 755 ${LTLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}/${LTLIB}

clean:
	rm -rvf *.o *.lo .libs lib*
	rm -rvf test

distclean:
	rm -rvf Makefile.inc *.spec debian/

check: test
	LOG4C_RCPATH=${top_srcdir}/tests ./test

${LTLIB}: ${LOBJS}
	${LINK} ${version_info} -o $@ $+ ${LOG4C_LIBS}

test: test.o
	${LINK} -o $@ $+ ${LTLIB} ${LOG4C_LIBS}

%.o %.lo: %.c
	${COMPILE} -c $<

=== debian/changelog ===
glite-lbjp-common-log (1.2.0-5) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:31:45 +0200

=== debian/control ===
Source: glite-lbjp-common-log
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libtool, liblog4c3, liblog4c-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbu-log1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Definitions of glite common logging formats for LB and JP
 Definitions of glite common logging formats for LB and
 JP.

Package: libglite-lbjp-common-log-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-log
Depends: libglite-lbu-log1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common log module
 This package contains development libraries and header files for gLite L&B/JP
 common log module.

Package: glite-lbjp-common-log-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbu-log1 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP common log module debugging symbols
 This package contains debugging symbols for gLite L&B/JP common log module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.log
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log*/LICENSE
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log-1.2.0 $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-log-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-log 1.3.1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 sysconfdir=/etc
 log4c_prefix=/usr
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -19,6 +21,13 @@
 
 CC=gcc
 VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/tests
+
+SOURCES=\
+	config/log4crc* \
+	project/.post* \
+	src/*.c src/*.h \
+	tests/*.c tests/log4crc \
+	LICENSE Makefile README
 
 LOG4C_CFLAGS:=-I${log4c_prefix}/include
 LOG4C_LIBS:=-L${log4c_prefix}/${libdir} -L${log4c_prefix}/lib -llog4c
@@ -56,7 +65,7 @@
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
-default all: compile
+all: compile
 
 compile: ${LTLIB}
 
@@ -79,6 +88,7 @@
 clean:
 	rm -rvf *.o *.lo .libs lib*
 	rm -rvf test
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -94,3 +104,5 @@
 
 %.o %.lo: %.c
 	${COMPILE} -c $<
+
+.PHONY: default all compile stage install check clean distclean dist distcheck

=== debian/changelog ===
glite-lbjp-common-log (1.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log-1.2.0 $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log-1.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lbjp-common-log; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lbjp-common-log 1.3.6

=== debian/changelog ===
glite-lbjp-common-log (1.3.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,21 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libtool, liblog4c3, liblog4c-dev
+Build-Depends: debhelper (>= 7.0.50~), libtool, liblog4c-dev
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
 DM-Upload-Allowed: yes
 Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
 Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
+
+Package: glite-lbjp-common-log
+Section: libs
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Common files for gLite L&B/JP common log module
+ This package provides log4c configuration file for gLite L&B/JP common log
+ module.
 
 Package: libglite-lbu-log1
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

p_base=glite-lbjp-common-log
p_dbg=glite-lbjp-common-log-dbg
p_lib=libglite-lbu-log1
p_dev=libglite-lbjp-common-log-dev

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.log
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status *.spec
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf debian/tmp/usr/lib/*.la
	mkdir -p debian/$(p_dbg)/usr/share/doc
	mkdir -p debian/$(p_dev)/usr/share/doc
	mkdir -p debian/$(p_lib)/usr/share/doc
	mv debian/tmp/usr/share/doc/glite-lbjp-common-log-1.3.6 debian/$(p_lib)/usr/share/doc/$(p_lib)
	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs project/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=$(p_dbg)
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-log 1.3.8

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	project/.post* \
 	src/*.c src/*.h \
 	tests/*.c tests/log4crc \
-	LICENSE Makefile README
+	Makefile README
 
 LOG4C_CFLAGS:=-I${log4c_prefix}/include
 LOG4C_LIBS:=-L${log4c_prefix}/${libdir} -L${log4c_prefix}/lib -llog4c
@@ -76,7 +76,6 @@
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix} 
 	${INSTALL} -m 644 ${top_srcdir}/src/log.h ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix} 
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 644 ${top_srcdir}/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	${INSTALL} -m 644 ${top_srcdir}/config/log4crc ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb/log4crc
@@ -91,7 +90,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 check: test
 	LOG4C_RCPATH=${top_srcdir}/tests ./test

=== debian/changelog ===
glite-lbjp-common-log (1.3.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:07 +0200

=== debian/control ===
--- 
+++ 
@@ -35,10 +35,10 @@
  This package contains development libraries and header files for gLite L&B/JP
  common log module.
 
-Package: glite-lbjp-common-log-dbg
+Package: libglite-lbu-log1-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lbu-log1 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B/JP common log module debugging symbols
+Description: Debugging symbols for gLite L&B/JP common log module
  This package contains debugging symbols for gLite L&B/JP common log module.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 -include /usr/share/dpkg/buildflags.mk
 
 p_base=glite-lbjp-common-log
-p_dbg=glite-lbjp-common-log-dbg
+p_dbg=libglite-lbu-log1-dbg
 p_lib=libglite-lbu-log1
 p_dev=libglite-lbjp-common-log-dev
 
@@ -45,7 +45,7 @@
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	mkdir -p debian/$(p_dev)/usr/share/doc
 	mkdir -p debian/$(p_lib)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lbjp-common-log-1.3.6 debian/$(p_lib)/usr/share/doc/$(p_lib)
+	mv debian/tmp/usr/share/doc/glite-lbjp-common-log-1.3.8 debian/$(p_lib)/usr/share/doc/$(p_lib)
 	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)

## glite-lbjp-common-log 1.3.9

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 CC=gcc
 VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/tests
@@ -34,11 +35,10 @@
 
 DEBUG:=-g -O0 -W -Wall
 
-CFLAGS:= ${CFLAGS} \
-	${DEBUG} \
+CFLAGS:= ${DEBUG} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src \
 	-I${top_srcdir}/interface \
-	${LOG4C_CFLAGS}
+	${LOG4C_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}
 
@@ -75,12 +75,12 @@
 install: compile
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix} 
 	${INSTALL} -m 644 ${top_srcdir}/src/log.h ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix} 
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	${INSTALL} -m 644 ${top_srcdir}/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	mkdir -p ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 ${top_srcdir}/README ${DESTDIR}${PREFIX}${docdir}
 	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	${INSTALL} -m 644 ${top_srcdir}/config/log4crc ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb/log4crc
-	${INSTALL} -m 644 ${top_srcdir}/config/log4crc ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/log4crc.example-production
-	${INSTALL} -m 644 ${top_srcdir}/config/log4crc.debugging ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/log4crc.example-debugging
+	${INSTALL} -m 644 ${top_srcdir}/config/log4crc ${DESTDIR}${PREFIX}${docdir}/log4crc.example-production
+	${INSTALL} -m 644 ${top_srcdir}/config/log4crc.debugging ${DESTDIR}${PREFIX}${docdir}/log4crc.example-debugging
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 755 ${LTLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}/${LTLIB}

=== debian/changelog ===
glite-lbjp-common-log (1.3.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.log
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lbjp-common.log
 	touch $@
 
 build: build-arch build-indep
@@ -45,7 +45,7 @@
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	mkdir -p debian/$(p_dev)/usr/share/doc
 	mkdir -p debian/$(p_lib)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lbjp-common-log-1.3.8 debian/$(p_lib)/usr/share/doc/$(p_lib)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_lib)/usr/share/doc/$(p_lib)
 	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)

## glite-lbjp-common-log 1.3.11

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 OBJS:=log.o
@@ -96,7 +96,7 @@
 	LOG4C_RCPATH=${top_srcdir}/tests ./test
 
 ${LTLIB}: ${LOBJS}
-	${LINK} ${version_info} -o $@ $+ ${LOG4C_LIBS}
+	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} -o $@ $+ ${LOG4C_LIBS}
 
 test: test.o
 	${LINK} -o $@ $+ ${LTLIB} ${LOG4C_LIBS}

=== debian/changelog ===
glite-lbjp-common-log (1.3.11-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:51 +0200

=== debian/control ===
Source: glite-lbjp-common-log
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libtool-bin, liblog4c-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: glite-lbjp-common-log
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common files for gLite L&B/JP common log module
 Definitions of glite common logging formats for LB and
 JP.
 .
 This package provides log4c configuration file for gLite L&B/JP common log
 module.

Package: libglite-lbu-log1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Definitions of glite common logging formats for LB and JP
 Definitions of glite common logging formats for LB and
 JP.

Package: libglite-lbjp-common-log-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-log
Depends: libglite-lbu-log1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common log module
 Definitions of glite common logging formats for LB and
 JP.
 .
 This package contains development libraries and header files for gLite L&B/JP
 common log module.

Package: libglite-lbu-log1-dbg
Section: debug
Architecture: any
Depends: libglite-lbu-log1 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP common log module
 Definitions of glite common logging formats for LB and
 JP.
 .
 This package contains debugging symbols for gLite L&B/JP common log module.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lbjp-common-log
p_dbg=libglite-lbu-log1-dbg
p_lib=libglite-lbu-log1
p_dev=libglite-lbjp-common-log-dev

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_install:
	mkdir -p debian/$(p_lib)/usr/share/doc/$(p_lib)
	mv debian/tmp/usr/share/doc/$(p_base)/* debian/$(p_lib)/usr/share/doc/$(p_lib)
	dh_install

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.log/glite-lbjp-common-log-(.*)\.tar\.gz
